Bug 904706 - dnf stops package install if "downloaded repomd.xml is older than what we have"
dnf stops package install if "downloaded repomd.xml is older than what we have"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-27 02:08 EST by Pratyush Sahay
Modified: 2014-09-30 19:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: dnf-0.2.22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 19:24:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pratyush Sahay 2013-01-27 02:08:50 EST
Description of problem: Local mirror got synced with F18 packages yesterday. Shifted to it by making an exclusive baseurl entry in /etc/yum.repos.d/fedora.repo and /etc/yum.repos.d/fedora-updates.repo .. Now, dnf install process stops with the following message:

$ sudo dnf install gnome-user-share
Setting up Install Process
fedora                                 | 4.2 kB  00:00:00     
updates                                | 4.7 kB  00:00:00     
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Sat Jan 26 16:58:13 2013
  Downloaded: Thu Jan 24 23:14:35 2013


Can not read repomd file.

Redoing the same with yum results in a similar message but the install process proceeds:

$ sudo yum install gnome-user-share
Loaded plugins: langpacks, presto, refresh-packagekit
fedora                                                                                   | 4.2 kB  00:00:00     
rpmfusion-free-updates                                                                   | 3.3 kB  00:00:00     
rpmfusion-nonfree-updates                                                                | 3.3 kB  00:00:00     
updates                                                                                  | 4.7 kB  00:00:00     
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Sat Jan 26 16:58:13 2013
  Downloaded: Thu Jan 24 23:14:35 2013
Resolving Dependencies
--> Running transaction check
---> Package gnome-user-share.i686 0:3.0.4-2.fc18 will be installed
--> Processing Dependency: mod_dnssd for package: gnome-user-share-3.0.4-2.fc18.i686
--> Processing Dependency: httpd for package: gnome-user-share-3.0.4-2.fc18.i686
--> Running transaction check
---> Package httpd.i686 0:2.4.3-12.fc18 will be installed
--> Processing Dependency: httpd-tools = 2.4.3-12.fc18 for package: httpd-2.4.3-12.fc18.i686
--> Processing Dependency: libaprutil-1.so.0 for package: httpd-2.4.3-12.fc18.i686
--> Processing Dependency: libapr-1.so.0 for package: httpd-2.4.3-12.fc18.i686
---> Package mod_dnssd.i686 0:0.6-7.fc18 will be installed
--> Running transaction check
---> Package apr.i686 0:1.4.6-3.fc18 will be installed
---> Package apr-util.i686 0:1.4.1-6.fc18 will be installed
---> Package httpd-tools.i686 0:2.4.3-12.fc18 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================================================
 Package                         Arch                Version                        Repository             Size
================================================================================================================
Installing:
 gnome-user-share                i686                3.0.4-2.fc18                   fedora                769 k
Installing for dependencies:
 apr                             i686                1.4.6-3.fc18                   fedora                107 k
 apr-util                        i686                1.4.1-6.fc18                   fedora                 83 k
 httpd                           i686                2.4.3-12.fc18                  fedora                1.1 M
 httpd-tools                     i686                2.4.3-12.fc18                  fedora                 80 k
 mod_dnssd                       i686                0.6-7.fc18                     fedora                 22 k

Transaction Summary
================================================================================================================
Install  1 Package (+5 Dependent packages)

Total download size: 2.1 M
Installed size: 5.0 M
Is this ok [y/N]:


Version-Release number of selected component (if applicable):
$ rpm -qa | grep dnf
dnf-0.2.20-1.gitdec970f.fc18.noarch


How reproducible: 


Steps to Reproduce:
1. sudo dnf update
2. Change /etc/yum.repos.d/fedora.repo and /etc/yum.repos.d/fedora-updates.repo to make an entry for a mirror (in baseurl) that doesnt have real-time sync.
3. sudo dnf install <some_package>
  
Actual results:


Expected results: yum in comparison, though reports a similar message, but doesnt stop the install process. A similar functionality in dnf would be good.


Additional info:
Comment 1 Ales Kozumplik 2013-01-28 02:26:18 EST
Thanks for the report.

Before I get around to debug this you can try cleaning all your metadata with 'dnf clean metadata' and retry the operation. If that doesn't help I'm interested what the output is:)
Comment 2 Ales Kozumplik 2013-02-11 08:34:27 EST
This is still reproducible with dnf-0.2.21.
Comment 3 Ales Kozumplik 2013-02-11 09:16:07 EST
Master commit 0e1a9ea fixes the bug and restores the original Yum behaviour (that is reporting, reverting and continuing after downloading an older than the current repomd.xml)
Comment 4 Fedora Update System 2013-03-02 04:45:46 EST
hawkey-0.3.8-1.git046ab1c.fc18, dnf-0.2.22-1.git97180b8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dnf-0.2.22-1.git97180b8.fc18,hawkey-0.3.8-1.git046ab1c.fc18
Comment 5 Fedora Update System 2013-03-03 17:44:45 EST
Package hawkey-0.3.8-1.git046ab1c.fc18, dnf-0.2.22-1.git97180b8.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.3.8-1.git046ab1c.fc18 dnf-0.2.22-1.git97180b8.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3357/dnf-0.2.22-1.git97180b8.fc18,hawkey-0.3.8-1.git046ab1c.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-03-12 19:24:22 EDT
hawkey-0.3.8-1.git046ab1c.fc18, dnf-0.2.22-1.git97180b8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.